jQuery( document ).ready(function(){
	$('pre, code').addClass('prettyprint');
	prettyPrint();

	//Table of contants
	var all = $('.docs_start').find('h1.heading, h2, h3');
	console.log(all);

	var list = '<ul class="docs_table_ofcontents">';
	for (var i = 0; i < all.length; i++) {
		var citem = all[i];
		var tag = citem.tagName.toLowerCase();
		if( $(citem).attr('id') ){
			list +=
			"<li class='tag_"+ tag +"'>" +
			  "<a href='#" + $(citem).attr('id') + "'>" +
				 $(citem).text() +
			  "</a>" +
			"</li>";
		}
	};
	list += '</ul>'

	$(".table_of_contents").html(list);

	function docs_scroll(){
		$('.table_of_contents a, .to_top_link').on('click', function(event){
			event.preventDefault();
			var url = $(this).attr('href'); //cache the url.

			//Add higlight class
			$(url).addClass('highlight'); 
			
			//Change url hash
			if(history.pushState) {
				$("html, body").animate({ 
					scrollTop: parseInt( $(url).offset().top ) - 50
				}, 300);
				history.pushState(null, null, url);//modern browsers
			}
			else {
				window.location.hash = url;//old browsers
			}
			
			//Finally remove the higlight class
			setTimeout(function(){
				$(url).removeClass('highlight');
			}, 800);
		});
	}
	docs_scroll();
});