<div id="bbp-topic-<?php bbp_topic_id(); ?>" <?php bbp_topic_class( bbp_get_topic_id(), array( 'topic', 'topic-on-home', 'clearfix' ) ); ?>>
	<div class="details">
		<div class="submeta">
			<div class="title">
				<a class="bbp-topic-permalink" href="<?php bbp_topic_permalink(); ?>"><?php 
				
					if( bbp_is_topic_closed() ){
						echo '<span class="topic-status closed">'. __('Closed', 'smk_theme') .'</span>';
					}
					bbp_topic_title();
				?></a>
				<?php echo '<span class="topic-time-fresh">'. bbp_get_topic_freshness_link() .'</span>'; ?>
			</div>
			<?php 
				$topic_author_id = get_the_author_meta( 'ID' );
				echo '<a href="'. bbp_get_topic_permalink() .'" class="author-avatar">';
					echo get_avatar( $topic_author_id, 80 );
				echo '</a>'; 
			?>
			<div class="topic-author">
				<?php 
					$topic_last_author_id = get_post_field( 'post_author', bbp_get_topic_last_active_id() );
					$last_reply_id = bbp_get_topic_last_reply_id(); 
					$excerpt = smk_theme_excerpt(20, "...", false, $last_reply_id); 
					printf( 
						__('%s: %s', 'smk_theme'),
						' <a href="'. get_author_posts_url( $topic_last_author_id ) .'">' . get_user_option( 'display_name', $topic_last_author_id ) .'</a>',
						$excerpt . '<br />'
					);
				?>
			</div>
		</div>
	</div>
	<div class="meta">
		<div class="users clearfix">
			
			<?php 
				bbp_get_template_part( 'topic', 'participants' );
			?>

		</div>
	</div>
</div> <!-- .topic -->