<?php 
	$topic_last_author_id = get_post_field( 'post_author', bbp_get_topic_last_active_id() );
	$topic_id = bbp_get_topic_id();
	$authors = get_post_meta( $topic_id, 'smk_bbp_topic_participants', true );
	$topic_author_id = get_post_field( 'post_author', $topic_id );
	if( !empty($authors) && is_array($authors) ){
		
		// If the only participant is the topic author, do not show it.
		if( count($authors) == 1 ){
			unset($authors[ $topic_author_id ]);
		}

		if( !empty($authors) ) {
			$authors = array_reverse( $authors );
			$index = 0;
			foreach ($authors as $author) {
				echo '<a href="'. get_author_posts_url( $author ) .'" title="'. get_user_option( 'display_name', $author ) .'">'. 
					get_avatar( $author, 50 )
				.'</a>';
				$index++;
				if( $index > 5 ) break;
			}
		}
	}