<!--
// ===================================^__^=================================== //
   Footer
// ===================================^__^=================================== //
-->
<div id="rw-footer" class="rw-section rw-footer">
	<div class="rw-inner clearfix">
		
		<div class="grid-container">
			
			<div class="grid desk-6">
				<div class="footer-totals clearfix">
					
					<div class="total red clearfix">
						<a href="<?php echo smk_recipes_link(); ?>">
							<span class="mark value"><?php echo smk_get_total_recipes(); ?></span>
							<span class="type"><?php _e('Recipes', 'smk_theme') ?></span>
						</a>
					</div>
					<?php 
					$members_list_page_id = smk_recipe_setting( 'members_list_page' );
					if( !empty( $members_list_page_id ) ) :
					?>
					<div class="total green clearfix">
						<a href="<?php echo get_permalink( $members_list_page_id ); ?>">
							<span class="mark value"><?php echo smk_get_total_users(); ?></span>
							<span class="type"><?php _e('Members', 'smk_theme') ?></span>
						</a>
					</div>
				<?php endif; ?>

					<!-- <div class="total blue clearfix">
						<a href="public-collections.php">
							<span class="mark value">728</span>
							<span class="type">Collections</span>
						</a>
					</div> -->

				</div>
			</div>

			<div class="grid desk-6">
				<?php 
					wp_nav_menu( array(
						'theme_location'  => 'the_footer_menu',
						'container'       => 'div',
						'container_id'    => false,
						'container_class' => 'footer-menu',
						'menu_class'      => false,
						'menu_id'         => false,
						'fallback_cb'     => false,
					) ); 
				?>
			</div>

		</div>
		<a href="#rw-layout" class="footer-to-top" title="Go to top">
			<i class="fa fa-chevron-up"></i>
		</a>
	</div><!-- www.scriptha.ir -->
	<?php 
		$site_copyright = trim( smk_theme_setting('site_copyright', '') );
		if( !empty($site_copyright) ){
			echo '<div class="site-copyright">
				<span>'. str_ireplace( array( '{YEAR}', '{SITE_URL}' ), array( date('Y'), site_url() ), $site_copyright ) .'</span>
			</div>';
		}
	?>
</div> <!-- .rw-footer -->

</section><!-- .rw-layout -->

<?php wp_footer(); ?>
</body>
</html>
