<?php
function smk_theme_comments_args(){
	$rating = new Smk_Recipes_Rating;

	$commenter = wp_get_current_commenter();
	$required =  ' <em class="text-red" title="'. __('Required', 'smk_theme') .'">*</em>';

	$comments_args = array(
		'label_submit' => __('Post comment', 'smk_theme'),
		'title_reply' => '',
		'logged_in_as' => '',
		'comment_notes_after' => '',
		'comment_notes_before' => '',

		'comment_field' => $rating->field() . '
			<div class="comment-form-comment">
				<div class="form-label">' . _x( 'Comment', 'noun', 'smk_theme' ) . ' '. $required .'</div>
				<textarea id="comment" name="comment" required="true" class="normal"></textarea>
			</div><div class="clear"></div>',

		 'comment_notes_after' => '
			<span class="comment-form-question"><i class="fa fa-question-circle fa-2x"></i></span>
			<div class="form-allowed-tags" style="display: none;">
				<span class="ftg-title" style="display: none">' .
					sprintf(
					__( 'You may use these <abbr title="HyperText Markup Language">HTML</abbr> tags and attributes: %s' ),
					'</span> ' . smk_theme_allowed_tags() . '</code>'
					) . 
			'</div>',
		'fields' => apply_filters( 'comment_form_default_fields', array(

			'author' => '
				<div class="grid-container">
					<div class="grid desk-8 alpha">
						<div class="form-label">'. __('Name', 'smk_theme') .' '. $required .'</div>
						<input name="author" type="text" class="fullwidth" value="'. esc_attr( $commenter['comment_author'] ) .'" required="true"/>
					</div>
				</div>',

			'email' => '
				<div class="grid-container">
					<div class="grid desk-8 alpha">
						<div class="form-label">'. __('Email', 'smk_theme') .' '. $required .'</div>
						<div class="form-description">'. __('Your email address will not be published', 'smk_theme') .'</div>
						<input name="email" type="text" class="fullwidth" value="'. esc_attr( $commenter['comment_author_email'] ) .'" required="true"/>
					</div>
				</div>',

			'url' => '
				<div class="grid-container">
					<div class="grid desk-8 alpha">
						<div class="form-label">'. __('Website', 'smk_theme') .'</div>
						<input name="url" type="text" class="fullwidth" value="'. esc_attr( $commenter['comment_author_url'] ) .'"/>
					</div>
				</div>',

			)
		),
	);
	return $comments_args;
}