<?php
function smk_insert_activity( $type, $settings = array(), $author_id = false ){
	global $current_user;
	get_currentuserinfo();
	$author_id = ( ! $author_id ) ? $current_user->ID : $author_id;
	$post_data = array(
		'post_title'     => $type,
		'post_status'    => 'publish',
		'post_type'      => 'smk_activities',
		'post_author'    => $author_id,
		'ping_status'    => 'closed',
		'comment_status' => 'closed',
	);
	$post_id = wp_insert_post( $post_data );

	update_post_meta($post_id, 'smk_activity_type', $type);
	update_post_meta($post_id, 'smk_activity_settings', $settings);
}