<?php
function smk_favorites_enabled(){
	$on = smk_recipe_setting( 'ui_enable_favorites', 'on' );
	return ( 'on' == $on );
}

// The button
function smk_favorite_button( $post_id = false, $settings = array() ){
	if( smk_favorites_enabled() ){
		$phpClass = new Smk_Mark_Post('favorite');
		return $phpClass->button( $post_id, $settings );
	}
}

// The total number
function smk_get_favorites_count( $post_id = false ){
	if( smk_favorites_enabled() ){
		$post_id = ( $post_id ) ? $post_id : get_the_ID();
		$phpClass = new Smk_Mark_Post('favorite');
		return $phpClass->getMarksCount( $post_id );
	}
}

// Get all favorited posts ids of a user.
function smk_get_user_favorites( $user_id = false ){
	$phpClass = new Smk_Mark_Post('favorite');
	return $phpClass->getUserMarks( $user_id );
}

// Build the ajax handler
new Smk_Mark_Post_Ajax('favorite');