<?php
function smk_likes_enabled(){
	$on = smk_recipe_setting( 'ui_enable_likes', 'on' );
	return ( 'on' == $on );
}

// The button
function smk_like_button( $post_id = false, $settings = array() ){
	if( smk_likes_enabled() ){
		$phpClass = new Smk_Mark_Post('like');
		return $phpClass->button( $post_id, $settings );
	}
}

// The total number
function smk_get_likes_count( $post_id = false ){
	if( smk_likes_enabled() ){
		$post_id = ( $post_id ) ? $post_id : get_the_ID();
		$phpClass = new Smk_Mark_Post('like');
		return $phpClass->getMarksCount( $post_id );
	}
}

// Get all liked posts ids of a user.
function smk_get_user_likes( $user_id = false ){
	$phpClass = new Smk_Mark_Post('like');
	return $phpClass->getUserMarks( $user_id );
}

// Build the ajax handler
new Smk_Mark_Post_Ajax('like');