/**
 * SMK Toolkit Helpers JS
 * @used for : Usefull JS functions for SMK Toolkit
 */
jQuery.noConflict();
jQuery(document).ready(function($){

	/* Generate random string
	-------------------------------------------------------------------------------*/
	smk_generate_string = function(_nr, _underscore){
		
		var possible_letters = "abcdefghijklmnopqrstuvwxyz",
			possible_nr = "0123456789",
			possible_all = "abcdefghijklmnopqrstuvwxyz0123456789",
			_new_nr, text="", text1="", text2="", text3="";

		if( _nr < 4 ) _nr = 4;

		if( _underscore ){
			_new_nr = parseInt(_nr, 10) - 2;
			for( var i=0; i < 2; i++ ){
				text1 += possible_letters.charAt(Math.floor(Math.random() * possible_letters.length));
			}
			if( _new_nr > 3 ){
				_new_nr = _new_nr - 3;
				for( var i=0; i < _new_nr; i++ ){
					text2 += possible_all.charAt(Math.floor(Math.random() * possible_all.length));
				}
				for( var i=0; i < 3; i++ ){
					text3 += possible_nr.charAt(Math.floor(Math.random() * possible_nr.length));
				}
			}
			else{
				for( var i=0; i < _new_nr; i++ ){
					text2 += possible_all.charAt(Math.floor(Math.random() * possible_all.length));
				}
			}
			
			text = text1 +'_'+ text2 + text3;
		}
		else{
			for( var i=0; i < _nr; i++ ){
				text += possible_all.charAt(Math.floor(Math.random() * possible_all.length));
			}
		}
		

		return text;
	}

	/* Replace all matched elements in string
	** http://goo.gl/r6uhdn
	-------------------------------------------------------------------------------*/
	smk_replace_all_instring = function (find, replace, str) {
		return str.replace(new RegExp(find, 'g'), replace);
	}
	

});