/**
 * SMK Toolkit Page Builder JS
 * @used for : define page builder functions for SMK Toolkit
 */
jQuery.noConflict();
jQuery(document).ready(function($){

	//Make page builder columns resizable
	//----------------------------------
	smk_toolkit_pb_columns_resizable = function(){

		/*
		 * The following snippet is using jQuery UI resizable, but it is not working as expected. Will
		 * leave it for later.
		 */
		// var resizable_grid,
		//     size_before,
		//     size_after;

		// resizable_grid = $('.smk_pbuilder_admin_grid .smk_pb_section').width();

		// var _grid_1 = parseInt( resizable_grid, 10) / 12,
		//     _grid_2 = _grid_1 * 2;

		// $('.smk_pbuilder_admin_grid .tk_sortable_grid').resizable({
		// 	grid: resizable_grid / 12,
		// 	maxWidth: resizable_grid,
		// 	minWidth: _grid_2,
		// 	start: function(event, ui){
		// 		size_before = ui.element.width();
				
		// 	},
		// 	resize: function(event, ui){
		// 		if( ui.element.width() > _grid_2 ){
		// 			ui.element.next('.tk_sortable_grid').width( resizable_grid - ui.element.width() );
		// 		}
		// 		else{
		// 			ui.element.next('.tk_sortable_grid').width( ui.element.next('.tk_sortable_grid').width() - _grid_1 );					
		// 		}
				
		// 	}
		// });

		// Increase column size
		$('.smk_pbuilder_admin_grid .tk_col_controls_l .resize_plus').unbind().on('click', function(){
			var _parent = $(this).parents('.tk_sortable_grid');
			var _this   = _parent.find('.tk_column_grid');
			var _next   = _parent.next('.tk_sortable_grid').find('.tk_column_grid');
			var _next_p = _parent.next('.tk_sortable_grid');

			if( parseInt( _next.val() ) > 2 ){
				
				_this.val(parseInt( _this.val() ) + 1 );
				_parent.removeClass (function (index, css) {
					return (css.match (/\btk_grid_\S+/g) || []).join(' ');
				}).addClass('tk_grid_'+_this.val());
				
				_next.val( parseInt( _next.val() ) - 1 );
				_next_p.removeClass (function (index, css) {
					return (css.match (/\btk_grid_\S+/g) || []).join(' ');
				}).addClass('tk_grid_'+_next.val());

			}

		});
		//Decrease column size
		$('.smk_pbuilder_admin_grid .tk_col_controls_l .resize_minus').unbind().on('click', function(){
			var _parent = $(this).parents('.tk_sortable_grid');
			var _this   = _parent.find('.tk_column_grid');
			var _next   = _parent.next('.tk_sortable_grid').find('.tk_column_grid');
			var _next_p = _parent.next('.tk_sortable_grid');

			if( parseInt( _this.val() ) > 2 && parseInt( _next.val() ) > 1 ){
				_this.val(parseInt( _this.val() ) - 1 );
				_parent.removeClass (function (index, css) {
					return (css.match (/\btk_grid_\S+/g) || []).join(' ');
				}).addClass('tk_grid_'+_this.val());

				_next.val( parseInt( _next.val() ) + 1 );
				_next_p.removeClass (function (index, css) {
					return (css.match (/\btk_grid_\S+/g) || []).join(' ');
				}).addClass('tk_grid_'+_next.val());

			}

		});
		
	}
	smk_toolkit_pb_columns_resizable();

}); //END OF: jQuery(document).ready(function($){ ...