<?php
if( class_exists("Smk_Widget") && !class_exists("Smk_DemoWidget") ){
	class Smk_DemoWidget extends Smk_Widget{
		public function __construct(){
			/*
			//If you're using WP Color Picker, is recomended to set the widget width to a number greater then 270
			//Uncomment line below if needed.
			$widget_settings = array(
				'width' => 270, 
				'height' => 350
			);
			*/

			$widget_ops = array(
				'classname' 	=> 'smk_demo_widget', 
				'description' 	=> 'Smk Demo Widget'
			);
			$this->WP_Widget('options_widget', 'Smk_Widget', $widget_ops/*, $widget_settings*/ );
			// $this->current_class = get_class($this);
		}
		function options() {
			return array(
				array(
					'id' 	=> 'title',
					'type' 	=> 'input',
					'label' => 'Title:',
					'desc' 	=> 'Widget title',
				),
				array(
					'id' 	=> 'post_type',
					'type' 	=> 'post_types',
					'label' => 'Post Type:',
					'mode'	=> 'select',//Optional select or checkbox
					'exclude' => array('nav_menu_item', 'attachment', 'revision'),
					'std' 	=> 'post',
				),
				array(
					'id' 	=> 'order',
					'type' 	=> 'select',
					'label' => 'Order:',
					'options' => array(
						'ASC' => 'Ascending order (1, 2, 3; a, b, c).',
						'DESC' => 'Descending order (3, 2, 1; c, b, a).',
					),
					'std' 	=> 'DESC',
				),
				array(
					'id' 	=> 'orderby',
					'type' 	=> 'select',
					'label' => 'Order by:',
					'options' => array(
						'none' => 'No order',
						'ID' => 'Order by post id.',
						'author' => 'Order by author.',
						'title' => 'Order by title.',
						'name' => 'Order by post name (post slug).',
						'date' => 'Order by date.',
						'modified' => 'Order by last modified date.',
						'parent' => 'Order by post/page parent id.',
						'rand' => 'Random order.',
					),
					'std' 	=> 'date',
				),
			);
		}
		function widget( $args, $instance ) {

			echo $args['before_widget'];

			if( $title = Smk_Get::value( $instance, 'title', false ) ){
				echo $args['before_title'];
					echo $title;
				echo $args['after_title'];
			}

				$query_args = array(
					'post_type' => $instance['post_type'],
					'order' => $instance['order'],
					'orderby' => $instance['orderby'],
				);
				// The Query
				$the_query = new WP_Query($query_args);

				// The Loop
				while ( $the_query->have_posts() ) {
					$the_query->the_post();
					echo   '<li>
								<a href="'. get_permalink() .'">' . get_the_title() . '</a>
							</li>';
				}
				//Reset query
				wp_reset_postdata();
							
			echo $args['after_widget'];
			
			smk_print($instance);
		}
	}
}