<?php
/**
 * This class is used for SMK Toolkit admin. Any function here is designed exclusivelly for TK Admin and can be modified any time.
 * Strongly not recomended to use any of this functions. If you really need one or more of these functions, 
 * copy this class and create a new one using its code. You have been warned!
 *
 */

if( ! class_exists('Smk_xHelper') ){
	class Smk_xHelper{

		/**
		 * Grid class
		 *
		 * @param integer $val
		 * @param string $pos. `first` or `last`
		 * @return string
		 *
		 */
		public static function grid($val = 12, $pos = '') {
			$grid = '';
			
			if( is_numeric( $val ) ){
				if( isset($pos) && $pos == 'first' ){
					$grid = ' tk_grid_'. $val .' tk_alpha';
				}
				else if( isset($pos) && $pos == 'last' ){
					$grid = ' tk_grid_'. $val .' tk_omega';
				}
				else{
					$grid = ' tk_grid_'. $val;
				}
			}

			return $grid;
		}

		/**
		 * Clear float
		 *
		 * @param bool $output
		 * @param bool $large If true a height css class will be applied
		 * @return string
		 *
		 */
		public static function clear_float($output = true, $large = false) {
			$out = '';
			if( $output ){
				if( ! $large){
					$out ='<div class="smk_clear"></div>';
				}
				else{
					$out ='<div class="smk_clear large_clear"></div>';					
				}
			}
			else{
				$out ='';
			}
			return $out;
		}

	}//Class
}//class_exists