<?php 
if ( ! class_exists('Smk_Template') ) {
	class Smk_Template{
		private $args;
		private $file;

		public function __get($name) {
			return $this->args[$name];
		}

		public function __construct($file, $args = array()) {
			$this->file = $file;
			$this->args = $args;
		}

		public function render() {
			include $this->file;
		}
	}
}


/**
 * ------------------------------------------------------
 * Usage
 * ------------------------------------------------------
 */

/*
$mytpl = new Smk_Template(
	full/path/to/file.php',
	array(
		'var1' => $var1,
		'another_var' => $var2,
	)
);

//return it
$mytpl->render();
*/

/*
//Parents and childs
$mytpl = new Smk_Template(
	full/path/to/file.php',
	array(
		'var1' => $var1,
		'another_var' => $var2,
		'innertpl' => new Smk_Template(
			full/path/to/innertpl.php',
			array(
				//vars
			)
		),
	)
);
In $mytpl view call $mytpl->innertpl->render(); to include child templates 
and to render main tpl call this ehre you should display it.
$mytpl->render();
*/