<?php
/*
Template Name: Page: left sidebar
*/
get_header(); 
?>
<div class="rw-section rw-container left-sidebar">
	<div class="rw-inner clearfix">

		<?php smk_theme_sidebar(); ?>

		<!-- Main content -->
		<div class="rw-column rw-content">
			
			<?php smk_get_template_part("tpl/top-page-title.php"); ?>

                        <!-- www.scriptha.ir -->
			<div class="rw-row">
			<?php 
				if( function_exists('smk_page_builder_data') && smk_page_builder_data() && have_posts() ){
					while( have_posts() ) : the_post();
						$pb = smk_page_builder_data();
						echo smk_pb_output($pb);
					endwhile; 
				}
				else{
					if( have_posts() ){
						while( have_posts() ) : the_post();
							the_content();
						endwhile; 
					}
					else{
						echo '<div class="notification orange light">' . __('Nothing here.', 'smk_theme') . '</div>';
					} 
				}
			?>
			</div>

		</div> <!-- .rw-content -->

	</div> <!-- .rw-inner -->
</div> <!-- .rw-container -->

<?php get_footer(); ?>
