<?php get_template_part("tpl/recipes", "index-controls"); 
	$recipes_view = smk_recipes_filter_view();
	$recipes_list_class = ( $recipes_view == 'grid' ) ? ' recipes-list-grid' : '';
?>

<div class="recipes-list<?php echo $recipes_list_class; ?> clearfix">

	<?php 
	
	$recipes_query     = smk_recipes_query();
	$number_of_columns = smk_recipe_setting( 'recipes_view_grid_number_of_columns' );
	$number_of_columns = ( $number_of_columns >= 3 && $number_of_columns <= 10 ) ? $number_of_columns : 3;
	if( !empty($_GET['grid_cols_']) && absint( $_GET['grid_cols_'] ) >= 3 && absint( $_GET['grid_cols_'] ) <= 10 ){
		$number_of_columns = absint( $_GET['grid_cols_'] );
	}
	
	if ($recipes_query->have_posts()) {
		$position = 1;
		while ($recipes_query->have_posts()) : $recipes_query->the_post();
		
			switch ( $recipes_view ) {
				case 'list':
					get_template_part("tpl/recipes", "view-list");
					break;

				case 'grid':
					$show_meta = ($number_of_columns < 7) ? true : false;
					smk_get_template_part("tpl/recipes-view-grid.php", array(
						'position' => $position,
						'show_meta' => $show_meta,
						'columns' => $number_of_columns,
					));
					break;

				case 'large':
					get_template_part("tpl/recipes", "view-large");
					break;

				default:
					get_template_part("tpl/recipes", "view-large");
					break;
			}
			$position++;
			$position = ( $position > $number_of_columns) ? 1 : $position;

		endwhile; 
	}
	else{
		echo '<div class="notification orange light">' . __('Sorry, no recipes matched your criteria.', 'smk_theme') . '</div>';
	} 
	?>
	
	
</div> <!-- .recipes-list -->
<div class="recipes-pagination">
	<?php 
	// $big = 999999999; // need an unlikely integer

	// echo paginate_links( array(
	// 	'base' => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
	// 	'format' => '?paged=%#%',
	// 	'current' => max( 1, get_query_var('paged') ),
	// 	'total' => $recipes_query->max_num_pages
	// ) );
		smk_theme_pagination($recipes_query);
	?>
</div>