<?php
	get_header(); 
	$text_404        = smk_theme_setting('text_404', '404');
	$not_found_title = smk_theme_setting('not_found_title', __('Page not found', 'smk_theme'));
	$not_found_text  = smk_theme_setting('not_found_text', __("We're truly sorry, but there is no such page.<br /> It might have been removed, had its name changed, or is temporarily unavailable.", 'smk_theme'));
?>

<div class="rw-container rw-section">
	<div class="rw-inner clearfix">

		<!-- Main content -->
		<div class="rw-column rw-content">
						
			<div class="rw-row">
				<div class="block404">
					<div class="grid-container">
						<div class="grid desk-6">
							<h1 class="error"><?php echo $text_404 ?></h1>
						</div>
						<div class="grid desk-6">
							<h1 class="title"><?php echo $not_found_title ?></h1>
							<p class="description">
								<?php echo $not_found_text ?>
							</p>
						</div>
					</div>
				</div> <!-- www.scriptha.ir -->
			</div> <!-- .rw-row -->

		</div> <!-- .rw-content -->

	</div> <!-- .rw-inner -->
</div> <!-- .rw-container -->

<?php get_footer(); ?>
