<?php

/**
 * Single Forum Content Part
 *
 * @package bbPress
 * @subpackage Theme
 */

?>

<div class="forums-module">

	<?php 
		bbp_get_template_part( 'forums', 'top' );

		do_action( 'bbp_template_before_single_forum' );
		if ( post_password_required() ) {
			bbp_get_template_part( 'form', 'protected' );
		}
		elseif( !empty($_GET['new-topic']) && $_GET['new-topic'] == true ){
			bbp_get_template_part( 'form', 'topic' );
		}
		else{
			do_action( 'bbp_template_before_topics_index' );
			if ( !bbp_is_forum_category() && bbp_has_topics() ) {
				bbp_get_template_part( 'loop',       'topics'    );
				bbp_get_template_part( 'pagination', 'topics'    );
				bbp_get_template_part( 'form',       'topic'     );
			}
			elseif ( !bbp_is_forum_category() ){
				bbp_get_template_part( 'feedback',   'no-topics' );
				bbp_get_template_part( 'form',       'topic'     );
			}
			do_action( 'bbp_template_after_topics_index' ); 
		}
		do_action( 'bbp_template_after_single_forum' );
	?>

</div>