<?php

/**
 * Search 
 *
 * @package bbPress
 * @subpackage Theme
 */

?>

<form role="search" method="get" id="bbp-search-form" action="<?php bbp_search_url(); ?>">
	<div class="bbp-top-search-form clearfix">
		<input type="hidden" name="action" value="bbp-search-request" />
		<input tabindex="<?php bbp_tab_index(); ?>" type="text" value="<?php echo esc_attr( bbp_get_search_terms() ); ?>" name="bbp_search" id="bbp_search" class="bbp_search" placeholder="<?php _e('Enter the keyword here and search.', 'smk_theme') ?>" />
		<input tabindex="<?php bbp_tab_index(); ?>" class="button primary" type="submit" id="bbp_search_submit" value="<?php esc_attr_e( 'Search', 'smk_theme' ); ?>" />
	</div> <!-- www.scriptha.ir -->
</form>
