<?php
function smk_bbp_show_on_root(){
	return 'topics';
}
// add_filter('bbp_show_on_root', 'smk_bbp_show_on_root');


function smk_bbp_topic_participants_update($reply_id, $topic_id, $forum_id, $anonymous_data, $reply_author){
	$authors = get_post_meta( $topic_id, 'smk_bbp_topic_participants', true );
	if( !empty($authors) && is_array($authors) ){
		if( in_array($reply_author, $authors) ){
			unset($reply_author);
		}
		$authors[$reply_author] = $reply_author;
	}
	else{
		$authors = array( $reply_author => $reply_author );
	}
	update_post_meta( $topic_id, 'smk_bbp_topic_participants', $authors );
}
add_action( 'bbp_new_reply', 'smk_bbp_topic_participants_update', 10, 5 );

function smk_deregister_bbpress_styles() {
	wp_deregister_style( 'bbp-default' );
}
add_action( 'wp_print_styles', 'smk_deregister_bbpress_styles', 15 );

function smk_bbp_get_user_profile_url($url, $user_id, $user_nicename) {
	return get_author_posts_url( $user_id );
}
add_filter( 'bbp_get_user_profile_url', 'smk_bbp_get_user_profile_url', 15, 3 );

add_filter('bbp_before_get_reply_author_role_parse_args', 'smk_bbpress_reply_css_role' );
function smk_bbpress_reply_css_role($reply_id) {

	$role = strtolower( bbp_get_user_display_role( bbp_get_reply_author_id( $reply_id ) ) );
	$args['class']  = 'bbp-author-role bbp-author-role-' . $role;
	$args['before'] = '';
	$args['after']  = '';

	return $args;
}

add_filter('bbp_before_get_topic_author_role_parse_args', 'smk_bbpress_topic_css_role' );
function smk_bbpress_topic_css_role($topic_id) {

	$role = strtolower( bbp_get_user_display_role( bbp_get_topic_author_id( $topic_id ) ) );
	$args['class']  = 'bbp-author-role bbp-author-role-' . $role;
	$args['before'] = '';
	$args['after']  = '';

	return $args;
}