<?php
function smk_tags_index( $title = false ){
	$title = ( ! $title ) ? __('Filter:', 'smk_theme') : $title;
	echo '<div class="keywords-filter-block">
		<div class="filter-header clearfix">
			<span class="title">'. $title .'</span>
			<div class="filter-controls clearfix">
				<span class="control block"><i class="fa fa-th-list"></i></span>
				<span class="control inline active"><i class="fa fa-th"></i></span>
			</div>
		</div>
		<input type="text" class="fullwidth filter-keywords" placeholder="" />
	</div>';

	echo '<div class="keywords-index-list">';

	// delete_transient( 'smk_tags_index' );
	// if ( false === ( $final = get_transient( 'smk_tags_index' ) ) ) {
		$previous = null;
		$tags  = get_terms('recipe_tags', array(
			'hide_empty' => false,
		));
		$final = array();
		$all_tags = array();
		foreach ($tags as $tag) {
			$all_tags[ $tag->slug ][] = $tag->name;
			$all_tags[ $tag->slug ][] = $tag->count;
		}
		foreach($all_tags as $slug => $value) {
			$firstLetter = mb_substr($value[0], 0, 1);
			if(strcasecmp($previous, $firstLetter) !== 0) {
				$final[ mb_strtoupper( $firstLetter ) ][ $slug ] = $value;
			}else{
				$final[ mb_strtoupper( $previous ) ][ $slug ] = $value;
			}
			$previous = $firstLetter;
		}
		// set_transient( 'smk_tags_index', $final, 3 * MINUTE_IN_SECONDS ); // 3 minutes cache ;)
	// }

	foreach ($final as $key => $value) {
		echo '<h4>'. $key .'</h4>';
		echo '<ul class="keywords">';
			foreach ($value as $slug => $value) {
				echo '<li><a href="'. smk_get_recipe_tag_url( $slug ) .'">'. $value[0] .' <em>'. $value[1] .'</em></a></li>';
			}
		echo '</ul>';
	}

	echo '</div>';

}