<?php
/* 
 * Register sidebars
 *
 * -------------------------------------------------------------------------------------
 * @Author: Smartik
 * @Author URI: http://smartik.ws/
 * @Copyright: (c) 2014 Smartik. All rights reserved
 * -------------------------------------------------------------------------------------
 *
 * @Date:   2014-04-11 16:56:13
 * @Last Modified by:   Smartik
 * @Last Modified time: 2014-07-07 12:57:37
 *
 */
if (function_exists('register_sidebar')) {
	
	$sidebars = array(
		'smk_theme_sidebar' => __('Default Sidebar', 'smk_theme'),
	);
	
	foreach ($sidebars as $id => $name) {
		register_sidebar(array(
			'id'			=> $id,
			'name'			=> $name,
			'before_widget' => '<aside class="widget %2$s">',
			'after_widget' 	=> '</aside>',
			'before_title' 	=> '<div class="widget-title"><h3>',
			'after_title' 	=> '</h3></div>',
		));
	}
}