<?php
remove_action( 'woocommerce_before_main_content', 'woocommerce_breadcrumb', 20 );
remove_action( 'woocommerce_before_shop_loop', 'woocommerce_result_count', 20 );
remove_action( 'woocommerce_sidebar', 'woocommerce_get_sidebar' );


add_filter( 'woocommerce_show_page_title', '__return_false' );

function smk_woocommerce_product_thumbnails_columns(){
	return 5;
}
add_filter( 'woocommerce_product_thumbnails_columns', 'smk_woocommerce_product_thumbnails_columns' );

function smk_single_product_small_thumbnail_size(){
	return 'thumbnail';
}
add_filter( 'single_product_small_thumbnail_size', 'smk_single_product_small_thumbnail_size' );

function smk_theme_page_title_class_wc(){
	if( function_exists('woocommerce_page_title') && is_woocommerce() && is_product() ){
		return 'smk-woocommerce-single-page-title';
	}
}
add_filter( 'smk_theme_page_title_class', 'smk_theme_page_title_class_wc' );

function smk_woocommerce_output_related_products_args( $old_args ){
	$new_args = array(
		'posts_per_page' => 4,
		'columns' => 4,
	);
	return wp_parse_args( $new_args, $old_args );
}
add_filter( 'woocommerce_output_related_products_args', 'smk_woocommerce_output_related_products_args' );