<?php
// Init recipes Custom Post Type
new Smk_Activities_Cpt('smk_activities');

// Delete activity
function smk_recipes_remove_activity(){
	$return = false;
	if( !empty($_GET['action']) && 'smk_recipes_remove_activity' == $_GET['action'] ){
		if( current_user_can('edit_users') && !empty($_GET['recipe-id']) && !empty($_GET['_nonce']) ){
			$id    = (int) $_GET['recipe-id'];
			$nonce = esc_html( $_GET['_nonce'] );
			if( wp_verify_nonce( $nonce, 'smk_recipes_remove_activity' ) ){
				if( wp_delete_post( $id, true ) ){
					$return = true;
				}
			}
		}
	}
}
add_action('init', 'smk_recipes_remove_activity');

add_action('wp_ajax_smk_recipes_remove_activity', 'smk_recipes_remove_activity_ajax');
function smk_recipes_remove_activity_ajax(){
	wp_die( 'ok' );
}