<?php
function smk_user_cooking_level($user_id, $return_type = false){
	$levels = array(
		'none' => __('None', 'smk_theme'),
		'beginner' => __('Beginner', 'smk_theme'),
		'intermediate' => __('Intermediate', 'smk_theme'),
		'expert' => __('Expert', 'smk_theme'),
		'professional' => __('Professional', 'smk_theme'),
	);
	$colors = array(
		'none' => 'light-gray',
		'beginner' => 'gray',
		'intermediate' => 'olive',
		'expert' => 'blue',
		'professional' => 'purple',
	);
	$cooking_level = get_user_meta($user_id, 'st_cooking_level', true);
	$level_name = ( !empty($cooking_level) && array_key_exists($cooking_level, $levels) ) ? $cooking_level : 'none';
	if( $return_type == 'color' ){
		return $colors[$level_name];
	}
	elseif( $return_type == 'level' ){
		return $level_name;
	}
	else{
		return $levels[$level_name];
	}
}