/**
 * SMK Toolkit Page Builder Section init
 */
jQuery.noConflict();
jQuery(document).ready(function($){
	var spb_row_init = $('.smk_page_builder_container').smk_PB_Row();
	$('.smk_pbuilder_admin_grid').on('mouseenter', '.smk_pb_admin_row .row_controls .prepend_section', function(){

		var row_id = $(this).parents('.smk_pb_admin_row').attr('id');

		$(this).find('.section_rblock').html($('.smk_page_builder_container .smk_pbrow_blocks').html());

		$(this).find('.section_rblock').on('click', '.rblock', function(event){
			var cols = $(this).data('columns');
			spb_row_init.newSection(cols, row_id, 'prepend');
  			event.stopImmediatePropagation();
		});

	});


	$('.smk_pbuilder_admin_grid').on('mouseenter', '.smk_pb_admin_row .row_controls .append_section', function(){
		
		var row_id = $(this).parents('.smk_pb_admin_row').attr('id');

		$(this).find('.section_rblock').html($('.smk_page_builder_container .smk_pbrow_blocks').html());

		$(this).find('.section_rblock').on('click', '.rblock', function(event){
			var cols = $(this).data('columns');
			spb_row_init.newSection(cols, row_id, 'append');
  			event.stopImmediatePropagation();
		});

	});
});//document ready

