<?php
function smk_demo_fields(){
	$prefix = 'tk_';
	$plugin_fields = array();
	$nr = 0;
	/**
	 * TAB - Default fields
	 * ----------------------------------------------------
	 */
	$plugin_fields[] = array(
		'id' 	=> $prefix .'tab_'. $nr++,
		'type' 	=> 'tab',
		'label' => 'Default fields',
		'icon'  => 'cog2',
		'fields'=> array(
			array(
				'id' 	=> $prefix .'text_field',
				'type' 	=> 'input',
				'label' => 'Text field:',
				'desc' 	=> 'type: `input`',
				'std' 	=> 'Default text',
				'set'   => array(
					'size' 	=> 'half',
					'class' => 'super_class_input',
				),
			),
			array(
				'id' 	=> $prefix .'textarea_field',
				'type' 	=> 'textarea',
				'label' => 'Textarea:',
				'desc' 	=> 'Textarea description',
				'std' 	=> 'my text lalalala',
				'set'   => array(
					'rows' 	=> 10,
					'class' => 'super_class_txt',
				),
			),
			array(
				'id' 	=> $prefix .'checkbox_field',
				'type' 	=> 'checkbox',
				'label' => 'Checkbox',
				//'std' 	=> 1,
				//'desc' 	=> 'Checkbox description'
			),
			array(
				'id' 	=> $prefix .'select_field',
				'type' 	=> 'select',
				'label' => 'Select',
				'options' => array(
					'one' => 'First option', 
					'two' => 'Second option'
				),
				//'std' 	=> 'two',
				//'desc' 	=> 'Select description'
			),
			array(
				'id' 	=> $prefix .'radio_field',
				'type' 	=> 'radio',
				'label' => 'Radio',
				'std' 	=> 'two',
				'options' => array(
					'one' => 'First option', 
					'two' => 'Second option'
				),
				//'inline' => 0,//0 or 1. "1" display elements in the same line, "0" each in a new line. Default: 0
				'desc' 	=> 'Radio description',
			),
			array(
				'id' 	=> $prefix .'multicheck_field',
				'type' 	=> 'multicheck',
				'options' => array(
					'one' => 'First option', 
					'two' => 'Second option',
					'three' => 'Third option',
					'four' => 'Fourth option'
				),
				'label' => 'Multicheck',
				'std' 	=> array('two'),
				//'inline' => 0,//0 or 1. "1" display elements in the same line, "0" each in a new line. Default: 0
				'desc' 	=> 'Multicheck description',
			),
			array(
				'id' 	=> $prefix .'select_field22',
				'type' 	=> 'select',
				'label' => 'Select',
				'options' => array(
					'one' => 'First option', 
					'two' => 'Second option'
				),
				//'std' 	=> 'two',
				//'desc' 	=> 'Select description'
			),

		)
	);

	/**
	 * TAB - UI fields
	 * ----------------------------------------------------
	 */
	$plugin_fields[] = array(
		'id' 	=> $prefix .'tab_'. $nr++,
		'type' 	=> 'tab',
		'label' => 'UI fields',
		'icon'  => 'settings',
		'fields'=> array(
			array(
				'id' 	=> $prefix .'color_field',
				'type' 	=> 'color',
				'label' => 'Color',
				//'std' 	=> '#5cc918',
				//'desc' 	=> 'Input description.'
			),
			array(
				'id' 	=> $prefix .'upload_field',
				'type' 	=> 'upload',
				'label' => 'Upload',
				//'std' 	=> '',
				//'desc' 	=> 'Input description.'
			),
			array(
				'id' 	=> $prefix .'sliderui_field',
				'type' 	=> 'sliderui',
				'label' => 'Sliderui',
				'min' 	=> '0',
				'max' 	=> '200',
				'std' 	=> '53',
				//'step' 	=> '3',
				//'desc' 	=> 'Input description.'
			),
			array(
				'id' 	=> $prefix .'editor_field',
				'type' 	=> 'editor',
				'label' => 'Editor',
				//'std' 	=> 'Editor default text lalalala',
				'desc' 	=> 'Editor description.',
				'settings'	=> array(
						'textarea_rows' => 17,
						'media_buttons' => true,
					)
			)
		)
	);

	/**
	 * TAB - Special fields
	 * ----------------------------------------------------
	 */
	$plugin_fields[] = array(
		'id' 	=> $prefix .'tab_'. $nr++,
		'type' 	=> 'tab',
		'label' => 'Posts, Categories...',
		'icon'  => 'tree',
		'fields'=> array(
			array(
				'id' 	=> $prefix .'text_post_types1',
				'type' 	=> 'post_types',
				'label' => 'Post Types Select:',
				'mode'	=> 'select',//Optional select or checkbox
				//'exclude' => array('nav_menu_item', 'portfolio'),
				//'std' 	=> 'bla',
				//'desc' 	=> 'Input description.',
			),		
			array(
				'id' 	=> $prefix .'text_post_types2',
				'type' 	=> 'post_types',
				'label' => 'Post Types Checkbox:',
				'mode'	=> 'checkbox',
				//'exclude' => array('nav_menu_item', 'portfolio'),
				//'std' 	=> 'bla',
				//'desc' 	=> 'Input description.',
			),
			array(
				'id' 	=> $prefix .'text_pages',
				'type' 	=> 'pages',
				'label' => 'Pages Select:',
				'mode'	=> 'select',
				//'std' 	=> array('2'),
				//'desc' 	=> 'Input description.',
				//'args'	=> array(), //get_pages() - http://codex.wordpress.org/Function_Reference/get_pages
			),
			array(
				'id' 	=> $prefix .'text_pages2',
				'type' 	=> 'pages',
				'label' => 'Pages Checkbox:',
				'mode'	=> 'checkbox',
				//'std' 	=> array('2'),
				//'desc' 	=> 'Input description.',
				//'args'	=> array(), //get_pages() - http://codex.wordpress.org/Function_Reference/get_pages
			),
			array(
				'id' 	=> $prefix .'posts',
				'type' 	=> 'posts',
				'label' => 'Posts Select:',
				'mode'	=> 'select',
				//'std' 	=> array('2'),
				//'desc' 	=> 'Input description.',
				//'args'	=> array('post_type' => 'portfolio'), //get_posts() - http://codex.wordpress.org/Function_Reference/get_posts
			),
			array(
				'id' 	=> $prefix .'posts2',
				'type' 	=> 'posts',
				'label' => 'Posts Checkbox:',
				'mode'	=> 'checkbox',
				//'std' 	=> array('2'),
				//'desc' 	=> 'Input description.',
				//'args'	=> array(), //get_posts() - http://codex.wordpress.org/Function_Reference/get_posts
			),
			array(
				'id' 	=> $prefix .'tags',
				'type' 	=> 'tags',
				'label' => 'Tags Select:',
				'mode'	=> 'select',
				'return' => 'slug',
				//'std' 	=> array('2'),
				//'desc' 	=> 'Input description.',
				//'args'	=> array(), //get_tags() - http://codex.wordpress.org/Function_Reference/get_tags
			),
			array(
				'id' 	=> $prefix .'tags2',
				'type' 	=> 'tags',
				'label' => 'Tags Checkbox:',
				'mode'	=> 'checkbox',
				//'return' => 'slug',
				//'std' 	=> array('2'),
				//'desc' 	=> 'Input description.',
				//'args'	=> array(), //get_tags() - http://codex.wordpress.org/Function_Reference/get_tags
			),
			array(
				'id' 	=> $prefix .'categories',
				'type' 	=> 'categories',
				'label' => 'Categories select:',
				'mode'	=> 'select',
				//'std' 	=> array('2'),
				//'desc' 	=> 'Input description.',
				//'args'	=> array(), //get_categories() - http://codex.wordpress.org/Function_Reference/get_categories
			),
			array(
				'id' 	=> $prefix .'categories2',
				'type' 	=> 'categories',
				'label' => 'Categories Checkbox:',
				'mode'	=> 'checkbox',
				//'std' 	=> array('2'),
				//'desc' 	=> 'Input description.',
				//'args'	=> array(), //get_categories() - http://codex.wordpress.org/Function_Reference/get_categories
			),
			array(
				'id' 	=> $prefix .'taxonomy',
				'type' 	=> 'taxonomy',
				'label' => 'Taxonomy select:',
				'mode'	=> 'select',
				'tax'	    => 'pf_filter', //get_terms() - http://codex.wordpress.org/Function_Reference/get_terms#Parameters
				//'std' 	=> array('2'),
				//'desc' 	=> 'Input description.',
				//'args'	=> array(), //get_terms() - http://codex.wordpress.org/Function_Reference/get_terms#Parameters
			),
			array(
				'id' 	=> $prefix .'taxonomy2',
				'type' 	=> 'taxonomy',
				'label' => 'Taxonomy checkbox:',
				'mode'	=> 'checkbox',
				'tax'	    => 'pf_filter', //get_terms() - http://codex.wordpress.org/Function_Reference/get_terms#Parameters
				//'std' 	=> array('2'),
				//'desc' 	=> 'Input description.',
				//'args'	=> array(), //get_terms() - http://codex.wordpress.org/Function_Reference/get_terms#Parameters
			),
		),
	);


	/**
	 * TAB - Messages and sections
	 * ----------------------------------------------------
	 */

	$msg_msg = 'This is a message. Some <strong>HTML</strong> is allowed. This is something to read for your users.';

	$plugin_fields[] = array(
		'id' 	=> $prefix .'tab_'. $nr++,
		'type' 	=> 'tab',
		'label' => 'Messages and sections',
		'icon'  => 'flag',
		'fields'=> array(

			array(
				// 'id' 	=> $prefix .'section_field',
				'type' 	=> 'section',
				'content' => 'This is a section. Some <em>HTML</em> allowed.',
				'align'	=> ''//'left', 'center' or 'right'
			),

			array(
				// 'id' 	=> $prefix .'info_field',
				'type' 	=> 'message',
				'content' => $msg_msg,
				'mode' => 'info',
			),
			array(
				// 'id' 	=> $prefix .'help_field',
				'type' 	=> 'message',
				'content' => $msg_msg,
				'mode' => 'help',
			),
			array(
				// 'id' 	=> $prefix .'error_field',
				'type' 	=> 'message',
				'content' => $msg_msg,
				'mode' => 'error',
			),
			array(
				// 'id' 	=> $prefix .'success_field',
				'type' 	=> 'message',
				'content' => $msg_msg,
				'mode' => 'success',
			),
			array(
				// 'id' 	=> $prefix .'warning_field',
				'type' 	=> 'message',
				'content' => $msg_msg,
				'mode' => 'warning',
			),
		)
	);


	/**
	 * TAB - Selective fields
	 * ----------------------------------------------------
	 */
	$plugin_fields[] = array(
		'id' 	=> $prefix .'tab_'. $nr++,
		'type' 	=> 'tab',
		'label' => 'Selective fields',
		'icon'  => 'drawer3',
		'fields'=> array(
		
			array(
				'id' 	=> $prefix .'image_select',
				'type' 	=> 'image_select',
				'label' => 'Image Select',
				'desc' 	=> 'Image Select description image_select.',
				'std'   => array(
					'image' => SMK_ASSETS_URI .'images/patterns/66.png',
					'background-color' => '#dd1313',
				),
				'images'=> array(
					SMK_ASSETS_URI .'images/patterns/63.png',
					SMK_ASSETS_URI .'images/patterns/64.png',
					SMK_ASSETS_URI .'images/patterns/66.png',
					SMK_ASSETS_URI .'images/patterns/67.png',
					SMK_ASSETS_URI .'images/patterns/68.png',
					SMK_ASSETS_URI .'images/patterns/69.png',
					SMK_ASSETS_URI .'images/patterns/71.png',
					SMK_ASSETS_URI .'images/patterns/73.png',
					SMK_ASSETS_URI .'images/patterns/74.png',
					SMK_ASSETS_URI .'images/patterns/76.png',
				),
				'options' => array(
					'show_preview'          => true,
					'allow_upload'          => true,
					'allow_deselect'        => true,
					'background-color'      => true,
					'background-position'   => true,
					'background-repeat'     => true,
					'background-attachment' => true,
				),
				
			),

			array(
				'id' 	=> $prefix .'visual_select',
				'type' 	=> 'visual_select',
				'label' => 'Visual Select',
				'desc' 	=> 'Visual Select description visual_select.',
				'std'   => 'approve',
				'options' => array(
					array(
						'val'   => 'question',
						'img' => SMK_ASSETS_URI .'images/icons/1.png',
						'label' => 'Question',
					),
					array(
						'val'   => 'quote',
						'img' => SMK_ASSETS_URI .'images/icons/8.png',
						'label' => 'Quote',
					),
					array(
						'val'   => 'dashboard',
						'img' => SMK_ASSETS_URI .'images/icons/3.png',
						'label' => 'Dashboard',
					),
					array(
						'val'   => 'approve',
						'img' => SMK_ASSETS_URI .'images/icons/4.png',
						'label' => 'Approve',
					),
					array(
						'val'   => 'monitor',
						'img' => SMK_ASSETS_URI .'images/icons/2.png',
						'label' => 'Monitor',
					),
					array(
						'val'   => 'info',
						'img' => SMK_ASSETS_URI .'images/icons/6.png',
						'label' => 'Info',
					),
				),
				'mode' => 'image'
			),

			array(
				'id' 	=> $prefix .'visual_select5',
				'type' 	=> 'visual_select',
				'label' => 'Visual Select',
				'desc' 	=> 'Visual Select description visual_select.',
				'std'   => 'slider',
				'options' => array(
					array(
						'val'   => 'text',
						'label' => 'Text',
					),
					array(
						'val'   => 'image',
						'label' => 'Image',
					),
					array(
						'val'   => 'slider',
						'label' => 'Slider',
					),
					array(
						'val'   => 'audio',
						'label' => 'Audio',
					),
					array(
						'val'   => 'video',
						'label' => 'Video',
					),
					array(
						'val'   => 'quote',
						'label' => 'Quote',
					),
				),
				// 'mode' => 'text'
			),

			array(
				'id' 	=> $prefix .'combine_switch',
				'type' 	=> 'switch',
				'label' => 'Switch',
				//'desc' 	=> 'Switch description.',
				// 'labels' => array(
				// 	'on' => 'Enable',
				// 	'off' => 'Disable',
				// 	'text' => 'Right side description',
				// )
			),
		)
	);

	/**
	 * TAB - Advanced fields
	 * ----------------------------------------------------
	 */
	$plugin_fields[] = array(
		'id' 	=> $prefix .'tab_'. $nr++,
		'type' 	=> 'tab',
		'label' => 'Advanced fields',
		'icon'  => 'menu',
		'fields'=> array(
			
			array(
				'id' 	=> $prefix .'combine_fieldsx1',
				'type' 	=> 'combine',
				'label' => 'Combine',
				//'desc' 	=> 'Combine description.',
				'block_label' => 'field_1',
				'fields'	=> array(
					array(
						'id' => 'field_1',
						'type' => 'input',
						'label' => 'Input 1',
						'std' => 'lala1'
					),
					array(
						'id' 	=> 'sliderui_field',
						'type' 	=> 'sliderui',
						'label' => 'Sliderui',
						'min' 	=> '0',
						'max' 	=> '200',
						'std' 	=> '89',
						//'step' 	=> '3',
						//'desc' 	=> 'Input description.'
					),
					array(
						'id' 	=> 'multicheck_field',
						'type' 	=> 'multicheck',
						'options' => array(
							'one' => 'First option', 
							'two' => 'Second option',
							'three' => 'Third option',
							'four' => 'Fourth option'
						),
						'label' => 'Multicheck',
						'std' 	=> array('two'),
						//'inline' => 0,//0 or 1. "1" display elements in the same line, "0" each in a new line. Default: 0
						'desc' 	=> 'Multicheck description'
					),
					array(
						'id' => 'field_6',
						'type' => 'checkbox',
						'label' => 'Check me',
						//'std' => 'lala2999'
					),
					array(
						'id' => 'field_3',
						'type' => 'textarea',
						'label' => 'Textarea',
						'std' => 'lala2999'
					),
					array(
						'id' => 'field_4',
						'type' => 'color',
						'label' => 'Color',
						//'std' => 'lala2999',
						'grid' => 6,
					),
					array(
						'id' 	=> 'field_8',
						'type' 	=> 'select',
						'label' => 'Select',
						'options' => array('one1' => 'First option 1', 'two2' => 'Second option 2', 't3' => 'T3', 'f4' => 'F4'),
						'grid' => 6,
						'clear' => true,
					),
					array(
						'id' 	=> 'field_9',
						'type' 	=> 'upload',
						'label' => 'Upload',
					),
					array(
						'id' 	=> 'editor_field',
						'type' 	=> 'editor',
						'label' => 'Editor',
						//'std' 	=> 'Editor default text lalalala',
						'desc' 	=> 'Editor description.',
						'settings'	=> array(
								'textarea_rows' => 17,
								'media_buttons' => true,
							)
					),
					array(
						'id' 	=> 'image_select',
						'type' 	=> 'image_select',
						'label' => 'Image Select',
						'desc' 	=> 'Image Select description image_select.',
						'std'   => array(
							'image' => SMK_ASSETS_URI .'images/patterns/66.png',
							'background-color' => '#dd1313',
						),
						'images'=> array(
							SMK_ASSETS_URI .'images/patterns/63.png',
							SMK_ASSETS_URI .'images/patterns/64.png',
							SMK_ASSETS_URI .'images/patterns/66.png',
						),
						'options' => array(
							'show_preview'          => true,
							'allow_upload'          => true,
							'allow_deselect'        => true,
							'background-color'      => true,
							'background-position'   => true,
							'background-repeat'     => true,
							'background-attachment' => true,
						),
					),
					array(
						'id' 	=> 'visual_select',
						'type' 	=> 'visual_select',
						'label' => 'Visual Select',
						'desc' 	=> 'Visual Select description visual_select.',
						'std'   => 'quote',
						'options' => array(
							array(
								'val'   => 'question',
								'img' => SMK_ASSETS_URI .'images/icons/1.png',
								'label' => 'Question',
							),
							array(
								'val'   => 'quote',
								'img' => SMK_ASSETS_URI .'images/icons/8.png',
								'label' => 'Quote',
							),
							array(
								'val'   => 'dashboard',
								'img' => SMK_ASSETS_URI .'images/icons/3.png',
								'label' => 'Dashboard',
							),
						),
						'mode' => 'image'
					),
					array(
						'id' 	=> 'visual_select5',
						'type' 	=> 'visual_select',
						'label' => 'Visual Select',
						'desc' 	=> 'Visual Select description visual_select.',
						'std'   => 'slider',
						'options' => array(
							array(
								'val'   => 'text',
								'label' => 'Text',
							),
							array(
								'val'   => 'image',
								'label' => 'Image',
							),
							array(
								'val'   => 'slider',
								'label' => 'Slider',
							),
						),
						// 'mode' => 'text'
					),
					array(
						'id' 	=> 'combine_switch',
						'type' 	=> 'switch',
						'label' => 'Switch',
						//'desc' 	=> 'Switch description.',
						// 'labels' => array(
						// 	'on' => 'Enable',
						// 	'off' => 'Disable',
						// 	'text' => 'Right side description',
						// )
					),


				),//fields
			),
		)
	);

return $plugin_fields;
}




$header_links  = array(
	array(
		'url'    => 'http://smk-toolkit.com/',
		'text'   => 'Home',
		'target' => '_blank',
		'icon'   => 'home',
	),
	array(
		'url'    => 'http://smk-toolkit.com/docs/',
		'text'   => 'Documentation',
		'target' => '_blank',
		'icon'   => 'support',
	),
	array(
		'url'    => 'http://smk-toolkit.com/extensions/',
		'text'   => 'Extensions',
		'target' => '_blank',
		'icon'   => 'power-cord',
	),
	array(
		'url'    => 'http://smk-toolkit.com/dev-themes/',
		'text'   => 'Dev themes',
		'target' => '_blank',
		'icon'   => 'drawer3',
	),
);

$footer_links = '';

$panel_args = array(
	'parent'        => 'smk_toolkit_dashboard', 
	'title'         => 'Toolkit Settings', 
	'capability'    => 'activate_plugins',
	'used_in'       => 'plugin',
	'clear'         => false,
	'fields'        => smk_demo_fields(),
	'header_links'  => $header_links,
	'footer_links'  => $footer_links,
);

// if( class_exists('Smk_Panel') ){
// 	new Smk_Panel( 'toolkit_settings', $panel_args );
// }
// new Smk_Metabox('mymetaid', 'My meta', smk_demo_fields(), array('page'));
