<?php 
/**
 * Shortcuts for Smk Toolkit
 *
 * -------------------------------------------------------------------------------------
 * Author: Smartik
 * Author URI: http://smartik.ws/
 * Copyright: (c) 2014 Smartik. All rights reserved
 * -------------------------------------------------------------------------------------
 *
 */

################################################################################

if( !function_exists('smk_get_value') ){
	function smk_get_value($array, $key, $def=''){
		if (class_exists('Smk_Get')) {
			return Smk_Get::value($array, $key, $def);
		} else {
			return ( isset($def) ) ? $def : '';
		}	
	}
}

################################################################################

if( !function_exists('smk_get_option') ){
	function smk_get_option($panel, $option, $default = ''){
		if (class_exists('Smk_Get')) {
			return Smk_Get::option($panel, $option, $default);
		} else {
			return ( isset($default) ) ? $default : '';
		}
	}
}

################################################################################

if( !function_exists('smk_get_meta') ){
	function smk_get_meta($key=null, $default=false, $postid=false){
		if (class_exists('Smk_Get')) {
			$result = Smk_Get::meta($key, $default, $postid);
		} else {
			$result = ( isset($default) ) ? $default : '';
		}
		return $result;
	}
}

################################################################################

if( !function_exists('smk_resize') ){
	function smk_resize($url, $width = null, $height = null, $crop = null, $single = true, $upscale = false){
		if( function_exists('aq_resize') ){
			$resized = aq_resize($url, $width, $height, $crop, $single, $upscale);
			if( $resized && isset($resized) && !empty($resized) ){
				return $resized;
			}
			else{
				return $url;
			}
		}
		else{
			return $url;
		}
	}
}
