<?php
$total_links = count( $this->tabs );
if( $total_links > 1 ){
?>
<div class="smk_nav" data-panel="<?php echo $this->id; ?>">
	<div class="nav_links">
		<?php
			foreach ($this->tabs as $value) {
				
				$id    = esc_attr($value['id']);
				$label = esc_attr($value['label']);
				$class = ( ! empty($value['class']) ) ? ' class="active"' : '';
				$icon  = ( ! empty($value['icon']) ) ? '<span class="nav_icon smk-icon-' . sanitize_html_class($value['icon']) . '"></span>' : '';

				echo '<div class="nav_item">
					<a data-id="'. $id .'" href="#'. $id .'"'. $class .'>'. $icon . '<span class="nav_text">'. $label .'</span></a>
				</div>';
			}
		?>
	</div>
</div><!-- smk_nav -->
<?php } ?>