<?php 
	get_header(); 
?>

<div class="rw-section rw-container right-sidebar">
	<div class="rw-inner clearfix">

		<?php smk_theme_sidebar() ?>

		<!-- Main content -->
		<div class="rw-column rw-content">

			<?php smk_get_template_part("tpl/top-page-title.php"); ?>
			
			<div class="rw-row">
				
				<div class="blog-list">

					<?php 
					if (have_posts()) {
						while (have_posts()) : the_post();
					
						?>
							<!-- Entry -->
							<div id="post-<?php the_ID(); ?>" <?php post_class(array('post', 'clearfix')); ?>>
								<div class="the-title"><strong><a href="<?php the_permalink(); ?>"><?php the_title();?></a></strong></div>
								<div class="the-content">
								<?php 
									the_excerpt();
									// echo '<a href="'. get_the_permalink() .'">'. __('Read more &rarr;', 'smk_theme') .'</a>';
								?>
								</div>
							</div> <!-- .entry -->
							<div class="clear"></div>
						<?php
					
						endwhile; 
					}
					else{
						echo '<div class="notification orange light">' . __('No posts were found.', 'smk_theme') . '</div>';
					} 
					?>
					
					
				</div> <!-- .blog-list -->

				<div class="blog-pagination-links">
					<?php
						previous_posts_link( sprintf( __('%s Previous page', 'smk_theme'), '<i class="the-icon to-left fa fa-chevron-left"></i>') );
						next_posts_link( sprintf( __('Next page %s ', 'smk_theme'), '<i class="the-icon to-right fa fa-chevron-right"></i>') );
					?>
				</div>

			</div> <!-- .rw-row -->

		</div>

	</div> <!-- .rw-inner -->
</div> <!-- .rw-container -->

<?php get_footer(); ?>