<div class="recipes-filter clearfix">
	<div class="filter-query">
		<?php 
			echo smk_get_search_filter();
		?>
	</div>
	<?php 
		$tm_view     = get_theme_mod('show_recipes_view_filter', 'y');
		$tm_per_page = get_theme_mod('show_recipes_per_page_filter', 'y');
	?>
	<div class="filter-view">

		<?php if( 'y' == $tm_view ) : ?>
		<div class="column-select smk_theme_tooltip clearfix" title="<?php echo _x('View', 'Recipes view style', 'smk_theme') ?>">
			<?php 
				$curr_view = smk_recipes_filter_view(); 
				$views = array(
					'grid' => __('Grid', 'smk_theme'),
					'list' =>  __('Compact', 'smk_theme'),
					'large'  => __('Large', 'smk_theme'),
				);	
				echo '<span class="option '. $curr_view .' active">'. $views[ $curr_view ] .'</span>';

				echo '<span class="other-views">';
					foreach ($views as $view => $title) {
						$active = ( $view  == $curr_view ) ? ' this-is-active' : '';
						echo '<a href="'. smk_add_query_arg( array( 'view' => $view ) ) .'" class="option '. $view . $active .'">'. $title .'</a>';
					}
				echo '</span>';
			?>
		</div>
		<?php endif; ?>

		<?php if( 'y' == $tm_per_page ) : ?>
		<div class="column-select smk_theme_tooltip column-select-per-page clearfix" title="<?php echo _x('Recipes per page', 'Recipes view style', 'smk_theme') ?>">
			<?php 
				$per_page_current  = smk_recipes_filter_per_page();
				$possible_per_page = smk_recipes_possible_per_page();

				echo '<span class="option per_page_'. $per_page_current .' active">'. $per_page_current .'</span>';

				echo '<span class="other-views">';
					foreach ($possible_per_page as $number) {
						$active = ( $number == $per_page_current ) ? ' this-is-active' : '';
						echo '<a href="'. smk_add_query_arg( array( 'per_page_' => $number ), smk_remove_query_arg( array( 'pag' ) ) ) .'" class="option per_page_'. $number . $active .'">'. $number .'</a>';
					}
				echo '</span>';
			?>
		</div>
		<?php endif; ?>

	</div>
</div>