<?php 
	$recipes_index_sidebar = smk_theme_setting( 'recipes_index_sidebar', 'none' );
	$get_sidebar_var = (isset($_GET['show-recipes-sidebar']) && in_array($_GET['show-recipes-sidebar'], array('left', 'right'))) ? esc_html($_GET['show-recipes-sidebar']) : '';
	if( 'right' == $recipes_index_sidebar || 'right' == $get_sidebar_var ){
		$container_side = ' right-sidebar';
		$show_sidebar   = true;
	}
	elseif( 'left' == $recipes_index_sidebar || 'left' == $get_sidebar_var ){
		$container_side = ' left-sidebar';
		$show_sidebar   = true;
	}
	else{
		$container_side = '';
		$show_sidebar   = false;
	}
?>

<div class="rw-section rw-container<?php echo $container_side; ?>">
	<div class="rw-inner clearfix">
		<?php 
			if( $show_sidebar ){
				smk_theme_sidebar();
			}
		?>

		<!-- Main content -->
		<div class="rw-column rw-content">

			<?php smk_get_template_part("tpl/top-page-title.php"); ?>
			
			<div class="rw-row">
				
				<?php get_template_part("tpl/recipes", "list"); ?>

			</div> <!-- .rw-row -->

		</div>

	</div> <!-- .rw-inner -->
</div> <!-- .rw-container -->